org.apache.ignite.igfs

## Class IgfsPathSummary

- java.lang.Object
- - org.apache.ignite.igfs.IgfsPathSummary

All Implemented Interfaces:
  Externalizable, Serializable, Binarylizable

    public class IgfsPathSummary
    extends Object
    implements Externalizable, Binarylizable

Path summary: total files count, total directories count, total length.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsPathSummary()` Empty constructor required by `Externalizable`.
`IgfsPathSummary(IgfsPath path)` Construct empty path summary.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `directoriesCount()`
`void` `directoriesCount(int dirCnt)`
`int` `filesCount()`
`void` `filesCount(int filesCnt)`
`IgfsPath` `path()`
`void` `path(IgfsPath path)`
`void` `readBinary(BinaryReader reader)` Reads fields from provided reader.
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`long` `totalLength()`
`void` `totalLength(long totalLen)`
`void` `writeBinary(BinaryWriter writer)` Writes fields to provided writer.
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsPathSummary

    public IgfsPathSummary()

Empty constructor required by `Externalizable`.

#### IgfsPathSummary

    public IgfsPathSummary(IgfsPath path)

Construct empty path summary.

Parameters:
  `path` - Path.

### Method Detail

#### filesCount

    public int filesCount()

Returns:
  Files count.

#### filesCount

    public void filesCount(int filesCnt)

Parameters:
  `filesCnt` - Files count.

#### directoriesCount

    public int directoriesCount()

Returns:
  Directories count.

#### directoriesCount

    public void directoriesCount(int dirCnt)

Parameters:
  `dirCnt` - Directories count.

#### totalLength

    public long totalLength()

Returns:
  Total length.

#### totalLength

    public void totalLength(long totalLen)

Parameters:
  `totalLen` - Total length.

#### path

    public IgfsPath path()

Returns:
  Path for which summary is obtained.

#### path

    public void path(IgfsPath path)

Parameters:
  `path` - Path for which summary is obtained.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### writeBinary

    public void writeBinary(BinaryWriter writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `Binarylizable`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReader reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `Binarylizable`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018